Mailinglist Archive: opensuse-updates (145 mails)

< Previous Next >
openSUSE-RU-2018:1433-1: moderate: Recommended update for systemd
openSUSE Recommended Update: Recommended update for systemd
______________________________________________________________________________

Announcement ID: openSUSE-RU-2018:1433-1
Rating: moderate
References: #1045092 #1051465 #1066422 #1075804 #1082485
#1084626 #1085062 #1086785 #1087323
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that has 9 recommended fixes can now be installed.

Description:

This update for systemd provides the following fixes:

- sysusers: Do not append entries after the NIS ones. (bsc#1085062,
bsc#1045092)
- sysusers: Also add support for NIS entries in /etc/shadow.
- sysusers: Make sure to reset errno before calling fget*ent().
- coredump: Respect ulimit -c 0 settings. (bsc#1075804)
- systemctl: Don't make up unit states, and don't eat up errors too
eagerly. (bsc#1084626)
- systemctl: Don't mangle unit names in check_unit_generic().
- rules, compat-rules: Fix errors detected by the rule syntax checker.
- python: Use raw strings for regexp patterns.
- compat-rules: Make path_id_compat build with meson.
- compat-rules: Get rid of scsi_id when generating compat symlinks for
NVMe devices. (bsc#1051465)
- Fix memory hotplugging.
- systemd: Add offline environmental condition to the udev rules for acpi
container to prevent them from being triggered by the "udevadm trigger"
from user space. (bsc#1082485)
- systemd-udevd: Limit children-max by the available memory. (bsc#1086785,
bsc#1066422)
- Rename the tarball to reflect the exact version used, so that it is
clear that it contains some additional patches on top of the upstream
version. Use the commit hash in the name so the exact version can easily
be identified. (bsc#1087323)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-529=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libsystemd0-228-50.1
libsystemd0-debuginfo-228-50.1
libsystemd0-mini-228-50.1
libsystemd0-mini-debuginfo-228-50.1
libudev-devel-228-50.1
libudev-mini-devel-228-50.1
libudev-mini1-228-50.1
libudev-mini1-debuginfo-228-50.1
libudev1-228-50.1
libudev1-debuginfo-228-50.1
nss-myhostname-228-50.1
nss-myhostname-debuginfo-228-50.1
nss-mymachines-228-50.1
nss-mymachines-debuginfo-228-50.1
systemd-228-50.1
systemd-debuginfo-228-50.1
systemd-debugsource-228-50.1
systemd-devel-228-50.1
systemd-logger-228-50.1
systemd-mini-228-50.1
systemd-mini-debuginfo-228-50.1
systemd-mini-debugsource-228-50.1
systemd-mini-devel-228-50.1
systemd-mini-sysvinit-228-50.1
systemd-sysvinit-228-50.1
udev-228-50.1
udev-debuginfo-228-50.1
udev-mini-228-50.1
udev-mini-debuginfo-228-50.1

- openSUSE Leap 42.3 (x86_64):

libsystemd0-32bit-228-50.1
libsystemd0-debuginfo-32bit-228-50.1
libudev1-32bit-228-50.1
libudev1-debuginfo-32bit-228-50.1
nss-myhostname-32bit-228-50.1
nss-myhostname-debuginfo-32bit-228-50.1
systemd-32bit-228-50.1
systemd-debuginfo-32bit-228-50.1

- openSUSE Leap 42.3 (noarch):

systemd-bash-completion-228-50.1
systemd-mini-bash-completion-228-50.1


References:

https://bugzilla.suse.com/1045092
https://bugzilla.suse.com/1051465
https://bugzilla.suse.com/1066422
https://bugzilla.suse.com/1075804
https://bugzilla.suse.com/1082485
https://bugzilla.suse.com/1084626
https://bugzilla.suse.com/1085062
https://bugzilla.suse.com/1086785
https://bugzilla.suse.com/1087323


< Previous Next >
This Thread
  • No further messages